package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("每日参考摄入量VO")
public class NutrReferenceIntakeVO {
   @ApiModelProperty("热量(千卡/d)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/d)")
   private Double protein;
   @ApiModelProperty("脂肪(g/d)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/d)")
   private Double carbohydrate;
   @ApiModelProperty("钙(mg/d)")
   private Double calcium;
   @ApiModelProperty("磷(mg/d)")
   private Double phosphorus;
   @ApiModelProperty("钾(mg/d)")
   private Double kalium;
   @ApiModelProperty("钠(mg/d)")
   private Double sodium;
   @ApiModelProperty("镁(mg/d)")
   private Double magnesium;
   @ApiModelProperty("氯(mg/d)")
   private Double chlorine;
   @ApiModelProperty("铁(mg/d)")
   private Double iron;
   @ApiModelProperty("碘(ug/d)")
   private Double iodine;
   @ApiModelProperty("锌(mg/d)")
   private Double zinc;
   @ApiModelProperty("铜(mg/d)")
   private Double cuprum;
   @ApiModelProperty("锰(mg/d)")
   private Double manganese;
   @ApiModelProperty("硒(μg/d)")
   private Double selenium;
   @ApiModelProperty("氟(mg/d)")
   private Double fluorine;
   @ApiModelProperty("铬(μg/d)")
   private Double chromium;
   @ApiModelProperty("钼(μg/d)")
   private Double molybdenum;
   @ApiModelProperty("维生素A(ugRAE/d)")
   private Double vitaminA;
   @ApiModelProperty("维生素B1(mg/d)")
   private Double vitaminB1;
   @ApiModelProperty("维生素B2(mg/d)")
   private Double vitaminB2;
   @ApiModelProperty("维生素B6(mg/d)")
   private Double vitaminB6;
   @ApiModelProperty("维生素B12(μg/d)")
   private Double vitaminB12;
   @ApiModelProperty("泛酸(mg/d)")
   private Double pantothenicAcid;
   @ApiModelProperty("维生素C(mg/d)")
   private Double vitaminC;
   @ApiModelProperty("维生素D(ug/d)")
   private Double vitaminD;
   @ApiModelProperty("维生素E(mg/d)")
   private Double vitaminE;
   @ApiModelProperty("维生素K(ug/d)")
   private Double vitaminK;
   @ApiModelProperty("叶酸(ugDFE/d)")
   private Double folic;
   @ApiModelProperty("烟酸(mg/d)")
   private Double nicotinicAcid;
   @ApiModelProperty("烟酰胺(mg/d)")
   private Double nicotinamide;
   @ApiModelProperty("胆碱(mg/d)")
   private Double choline;
   @ApiModelProperty("生物素/维生素7(ug/d)")
   private Double biotin;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber = 30.0;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol = 300.0;

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getPhosphorus() {
      return this.phosphorus;
   }

   public Double getKalium() {
      return this.kalium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Double getMagnesium() {
      return this.magnesium;
   }

   public Double getChlorine() {
      return this.chlorine;
   }

   public Double getIron() {
      return this.iron;
   }

   public Double getIodine() {
      return this.iodine;
   }

   public Double getZinc() {
      return this.zinc;
   }

   public Double getCuprum() {
      return this.cuprum;
   }

   public Double getManganese() {
      return this.manganese;
   }

   public Double getSelenium() {
      return this.selenium;
   }

   public Double getFluorine() {
      return this.fluorine;
   }

   public Double getChromium() {
      return this.chromium;
   }

   public Double getMolybdenum() {
      return this.molybdenum;
   }

   public Double getVitaminA() {
      return this.vitaminA;
   }

   public Double getVitaminB1() {
      return this.vitaminB1;
   }

   public Double getVitaminB2() {
      return this.vitaminB2;
   }

   public Double getVitaminB6() {
      return this.vitaminB6;
   }

   public Double getVitaminB12() {
      return this.vitaminB12;
   }

   public Double getPantothenicAcid() {
      return this.pantothenicAcid;
   }

   public Double getVitaminC() {
      return this.vitaminC;
   }

   public Double getVitaminD() {
      return this.vitaminD;
   }

   public Double getVitaminE() {
      return this.vitaminE;
   }

   public Double getVitaminK() {
      return this.vitaminK;
   }

   public Double getFolic() {
      return this.folic;
   }

   public Double getNicotinicAcid() {
      return this.nicotinicAcid;
   }

   public Double getNicotinamide() {
      return this.nicotinamide;
   }

   public Double getCholine() {
      return this.choline;
   }

   public Double getBiotin() {
      return this.biotin;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public NutrReferenceIntakeVO setCalories(final Double calories) {
      this.calories = calories;
      return this;
   }

   public NutrReferenceIntakeVO setProtein(final Double protein) {
      this.protein = protein;
      return this;
   }

   public NutrReferenceIntakeVO setFat(final Double fat) {
      this.fat = fat;
      return this;
   }

   public NutrReferenceIntakeVO setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
      return this;
   }

   public NutrReferenceIntakeVO setCalcium(final Double calcium) {
      this.calcium = calcium;
      return this;
   }

   public NutrReferenceIntakeVO setPhosphorus(final Double phosphorus) {
      this.phosphorus = phosphorus;
      return this;
   }

   public NutrReferenceIntakeVO setKalium(final Double kalium) {
      this.kalium = kalium;
      return this;
   }

   public NutrReferenceIntakeVO setSodium(final Double sodium) {
      this.sodium = sodium;
      return this;
   }

   public NutrReferenceIntakeVO setMagnesium(final Double magnesium) {
      this.magnesium = magnesium;
      return this;
   }

   public NutrReferenceIntakeVO setChlorine(final Double chlorine) {
      this.chlorine = chlorine;
      return this;
   }

   public NutrReferenceIntakeVO setIron(final Double iron) {
      this.iron = iron;
      return this;
   }

   public NutrReferenceIntakeVO setIodine(final Double iodine) {
      this.iodine = iodine;
      return this;
   }

   public NutrReferenceIntakeVO setZinc(final Double zinc) {
      this.zinc = zinc;
      return this;
   }

   public NutrReferenceIntakeVO setCuprum(final Double cuprum) {
      this.cuprum = cuprum;
      return this;
   }

   public NutrReferenceIntakeVO setManganese(final Double manganese) {
      this.manganese = manganese;
      return this;
   }

   public NutrReferenceIntakeVO setSelenium(final Double selenium) {
      this.selenium = selenium;
      return this;
   }

   public NutrReferenceIntakeVO setFluorine(final Double fluorine) {
      this.fluorine = fluorine;
      return this;
   }

   public NutrReferenceIntakeVO setChromium(final Double chromium) {
      this.chromium = chromium;
      return this;
   }

   public NutrReferenceIntakeVO setMolybdenum(final Double molybdenum) {
      this.molybdenum = molybdenum;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminA(final Double vitaminA) {
      this.vitaminA = vitaminA;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminB1(final Double vitaminB1) {
      this.vitaminB1 = vitaminB1;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminB2(final Double vitaminB2) {
      this.vitaminB2 = vitaminB2;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminB6(final Double vitaminB6) {
      this.vitaminB6 = vitaminB6;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminB12(final Double vitaminB12) {
      this.vitaminB12 = vitaminB12;
      return this;
   }

   public NutrReferenceIntakeVO setPantothenicAcid(final Double pantothenicAcid) {
      this.pantothenicAcid = pantothenicAcid;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminC(final Double vitaminC) {
      this.vitaminC = vitaminC;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminD(final Double vitaminD) {
      this.vitaminD = vitaminD;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminE(final Double vitaminE) {
      this.vitaminE = vitaminE;
      return this;
   }

   public NutrReferenceIntakeVO setVitaminK(final Double vitaminK) {
      this.vitaminK = vitaminK;
      return this;
   }

   public NutrReferenceIntakeVO setFolic(final Double folic) {
      this.folic = folic;
      return this;
   }

   public NutrReferenceIntakeVO setNicotinicAcid(final Double nicotinicAcid) {
      this.nicotinicAcid = nicotinicAcid;
      return this;
   }

   public NutrReferenceIntakeVO setNicotinamide(final Double nicotinamide) {
      this.nicotinamide = nicotinamide;
      return this;
   }

   public NutrReferenceIntakeVO setCholine(final Double choline) {
      this.choline = choline;
      return this;
   }

   public NutrReferenceIntakeVO setBiotin(final Double biotin) {
      this.biotin = biotin;
      return this;
   }

   public NutrReferenceIntakeVO setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
      return this;
   }

   public NutrReferenceIntakeVO setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
      return this;
   }
}
